#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>

#include "wswriter.h"

TWSwriter* writer;

//----------------------------------------------------------
TWSwriter::TWSwriter()
{
  Theme = "";
  Prefix = "";
  Dir = "";
  Modified = false;
  Level = 0;
  Pos = 0;
  Index = 0;
}
//----------------------------------------------------------
TWSwriter::~TWSwriter()
{
}
//----------------------------------------------------------
void TWSwriter::setTheme(WSCstring theme,WSCstring prefix,WSCstring dir)
{
  Theme = theme;
  Prefix = prefix;
  Dir = dir;
}
//----------------------------------------------------------
WSCstring TWSwriter::getTheme()
{
  return Theme;
}
//----------------------------------------------------------
WSCstring TWSwriter::getPrefix()
{
  return Prefix;
}
//----------------------------------------------------------
WSCstring TWSwriter::getDir()
{
  return Dir;
}
//----------------------------------------------------------
void TWSwriter::setLevel(long level,long pos)
{
  Level = level;
  Pos = pos;
}
//----------------------------------------------------------
void TWSwriter::setLevel(long value)
{
  Level = value;
}
//----------------------------------------------------------
void TWSwriter::setPos(long value)
{
  Pos = value;
}
//----------------------------------------------------------
void TWSwriter::setDir(WSCstring value)	// ǡ¸򥻥åȤ
{
  Dir = value;
}
//----------------------------------------------------------
long TWSwriter::getLevel()
{
  return Level;
}
//----------------------------------------------------------
long TWSwriter::getPos()
{
  return Pos;
}
//----------------------------------------------------------
WSCstring TWSwriter::getResistName()	// Ͽ̾Τ
{
  WSCstring data = Dir;
  long pos = 0;
  for (int i = data.getChars();i > 0;i--){
    if ((char )data[i-1] == '/') {
      pos = i;
      break;
    }
  }
  data.deleteColumn(0,pos);

  return data;
}
//----------------------------------------------------------
WSCstring TWSwriter::getTextPath()		// ȤΥѥֵ̾
{
  WSCstring result = Dir;
  result << "/" << Prefix << Index << ".dat";
  return result;
}
//----------------------------------------------------------
void TWSwriter::setIndex(long value)   // ǡΥˡǥå򥻥åȤ
{
  Index = value;
}
//----------------------------------------------------------
long TWSwriter::getIndex()	// ǡΥˡǥåֵ
{
  return Index;
}
//----------------------------------------------------------
WSCstring TWSwriter::getDivideStr(WSCstring str,char* div,int n)
{
  WSCstring res;
  str.replaceString(div,ENDL,0);
  res = str.gets();
  for (int i = 1;i < n;i++) {
    res = str.gets();
  }
  return res;
}
//----------------------------------------------------------


//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
void appInit(WSCbase* object){
  //do something...
  writer = new TWSwriter();
}
static WSCfunctionRegister  op("appInit",(void*)appInit);

