#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>

#include "wswriter.h"

//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
void loadTheme(WSCbase* object){
  //do something...
  if (fmWdlgOpen->popup() == WS_DIALOG_OK) {
    WSCstring value = fmWdlgOpen->getProperty(WSNdirName);
    writer->setDir(value);
    WSCstring filename;
    filename  << value << "/" << writer->getResistName();
    WSCstring* data = WSGFreadTextFile(filename);
    if (data != NULL) {
      long lines = data->getLines();
      WSCstring theme = writer->getDivideStr(data->gets(),"=",2);
      WSCstring prefix = writer->getDivideStr(data->gets(),"=",2);
      writer->setTheme(theme,prefix,value);
      fmWtvIndex->delAll();
      for (int i = 3;i < lines;i++) {
        long pos = i - 3;
        WSCstring wk = data->gets();
        if (wk > " ") {
          long level = atol((char *)writer->getDivideStr(wk,",",1));
          long index = atol((char *)writer->getDivideStr(wk,",",2));
          WSCstring title = writer->getDivideStr(wk,",",3);
          fmWtvIndex->addItem(title,pos);
  	  fmWtvIndex->setItemValue(pos,WS_INDENT_LEVEL,level);
          WSCbase* base = fmWtvIndex->getLabel(pos);
  	  base->setProperty(WSNuserValue,index);
          writer->setLevel(level,pos);
        }
      }
      fmWtvIndex->updateList();
    } else {      
      WSCmessageDialog* msg = WSGIappMessageDialog();
      WSCstring message;
      message << "٤ơޤޤ?\n";
      msg->setProperty(WSNdefaultPosition,True);
      msg->setProperty(WSNwidth,400);
      msg->setProperty(WSNheight,200);
      msg->setProperty(WSNlabelString,message); 
      msg->popup();
    }
  }
}
static WSCfunctionRegister  op("loadTheme",(void*)loadTheme);
