#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>

#include "wswriter.h"

//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
void exportData(WSCbase* object){
  //do something...
  long count;
  WSCstring outfile,textdata,sept;
  count = fmWtvIndex->getNum();
  if (count > 0) {
    WSCfileSelect* fs = WSGIappFileSelect();
    fs->setProperty(WSNmaskFileName,"");
    fs->setProperty(WSNdefaultPosition,True);
    long ret = fs->popup();
    if (ret == WS_DIALOG_OK){
      outfile = fs->getFileName();
      sept = "---------------------------------------------------------";
      sept += ENDL;
      for (int i = 0;i < count;i++) {
        WSCbase* value = fmWtvIndex->getLabel(i);
        WSCstring title;
        title << value->getProperty(WSNlabelString) << ENDL;
        title << sept;
        writer->setIndex(value->getProperty(WSNuserValue));
        textdata << title;
        WSCstring* intext = WSGFreadTextFile(writer->getTextPath());
        if (intext != NULL) {
          for (int n = 0;n < intext->getLines();n++) {
            textdata << intext->gets() << ENDL;
           }
           textdata << sept;
         }
      }
      WSGFreplaceTextFile(outfile,textdata,False);
    }
  } else {
    
  }
}
static WSCfunctionRegister  op("exportData",(void*)exportData);
