#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>

#include "wswriter.h"

//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
void moveUp(WSCbase* object){
  //do something...
  if (fmWrbLock->getStatus())
    return;
  long level,lvl,pos,prepos,nextpos;
  WSCstring value;
  
  pos = fmWtvIndex->getSelectedPos();
  fmWtvIndex->getItemValue(pos,WS_INDENT_LEVEL,&level);
  if (level == 0)
    return;
  // $BA0J}$NF1%l%Y%k$rC5$9(B
  prepos = pos -1;
  for (int i = prepos;i > 0 ;i--) {
    fmWtvIndex->getItemValue(i,WS_INDENT_LEVEL,&lvl);
    if (lvl <= level)
      break;
    prepos--;
  }
  // $BA0J}$KF1%l%Y%k$,L5$$>l9g$O@hF,$J$N$G=hM}$7$J$$(B
  if (lvl == level) {
    // $B8eJ}$NA^F~0LCV$rC5$9(B
    nextpos = pos + 1;
    for (int i = nextpos;i < fmWtvIndex->getNum();i++) {    
      fmWtvIndex->getItemValue(i,WS_INDENT_LEVEL,&lvl);
      if (lvl <= level)
    	break;
      nextpos++;
    }
    // $B%V%m%C%/$r%3%T!<$9$k(B
    for (int i = prepos;i < pos;i++) {
      WSCbase* pre = fmWtvIndex->getLabel(i);
      WSCstring label = pre->getProperty(WSNlabelString);
      fmWtvIndex->getItemValue(i,WS_INDENT_LEVEL,&level);
      long idx = pre->getProperty(WSNuserValue);
      
      fmWtvIndex->addItem(label,nextpos);
      fmWtvIndex->setItemValue(nextpos,WS_INDENT_LEVEL,level);  
      fmWtvIndex->updateList();
      WSCbase* post = fmWtvIndex->getLabel(nextpos);  
      post->setProperty(WSNuserValue,idx);
      fmWtvIndex->updateList();
      nextpos++;
    }
    // $B%V%m%C%/$r:o=|$9$k(B
    for(int i = pos;i > prepos;i--) {
      fmWtvIndex->delPos(i - 1);
      fmWtvIndex->updateList();
    }
  }  
}
static WSCfunctionRegister  op("moveUp",(void*)moveUp);
