#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>

#include "wswriter.h"

//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
void saveTheme(WSCbase* object){
  //do something...
  WSCstring filename,data;
  
  filename << writer->getDir() << "/" << writer->getResistName();
  long count = fmWtvIndex->getNum();
  data = "";
  data << "Theme=" << writer->getTheme() << "\n";
  data << "Prefix=" << writer->getPrefix() << "\n";

  for (int i = 0;i < count;i++)
  {
  	WSCbase* value = fmWtvIndex->getLabel(i);
  	long level,index;
  	
  	fmWtvIndex->getItemValue(i,WS_INDENT_LEVEL,&level);
  	index = value->getProperty(WSNuserValue);
  	data << level << "," << index << ",";
  	data << value->getProperty(WSNlabelString) << "\n";
  }
  WSGFreplaceTextFile(filename,data,False);
}
static WSCfunctionRegister  op("saveTheme",(void*)saveTheme);
